import os from "os"

function getExecutableExtension() {
    const platform = os.platform();
    
    if (platform === 'win32') {
        return '.exe';
    } else {
        return '';  // Unix-like systems usually don't have a suffix for executables
    }
}

export default getExecutableExtension
